#pragma once
#include "Entity.h"
#define CS_FORTBLOCKSMALL_CREATENAME L"CS_fortblock_small"
class CS_FortBlockSmall :
    public Entity
{
public:
    CS_FortBlockSmall();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(std::wstring stateName, int lr) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    float moveSpeed = 0x80 / ts;
    int move_counter = 0;
    bool bSetLanding = false;
};

std::shared_ptr<Entity> CreateCS_FortBlockSmall();